# We have a conf and classes directory, append to BBPATH
BBPATH .= ":${LAYERDIR}"

# We have a recipes directory, add to BBFILES
BBFILES += "${LAYERDIR}/recipes-*/*/*.bb ${LAYERDIR}/recipes-*/*/*.bbappend"

BBFILE_COLLECTIONS += "ros-common-layer"
BBFILE_PATTERN_ros-common-layer := "^${LAYERDIR}/"
BBFILE_PRIORITY_ros-common-layer = "10"

LICENSE_PATH += "${LAYERDIR}/licenses"

# Version 1 was the manually created meta-ros, prior to the introduction of superflore.
# Version 2 was all ROS distributions in the same meta-ros layer with right subdirectories selected by ROS_DISTRO variable.
# Version 3 is with each ROS distribution in separate sublayer of meta-ros git repository (with modifications to generated recipes
#   applied in .bbappends instead of .inc files).
LAYERVERSION_ros-common-layer = "3"

LAYERDEPENDS_ros-common-layer = " \
    core \
    meta-python \
    openembedded-layer \
    ros-backports-gatesgarth-layer \
    ros-backports-hardknott-layer \
"

LAYERSERIES_COMPAT_ros-common-layer = "${ROS_OE_RELEASE_SERIES}"

require conf/ros-distro/ros-distro.conf
